import request from '@/utils/request'

export function getList(data) {
  return request({
    url: `/enter/target?date=${data.date}&wpid=${data.wpid}`,
    method: 'get',
  })
}

export function doEdit(data) {
  return request({
    url: '/enter/target',
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: `/enter/target/${data.id}`,
    method: 'delete',
  })
}
export function doPut(data) {
  return request({
    url: '/enter/target',
    method: 'put',
    data,
  })
}
export function getWplist(data) {
  return request({
    url: `/enter/wpls?wpid=${data.wpid}`,
    method: 'get',
  })
}
